summaryrefslogtreecommitdiffstatsabout
diff options
context:
space:
mode:
authorEric Cloninger2012-06-07 16:30:38 (EDT)
committer Markus Knauer2012-06-09 03:59:57 (EDT)
commit7c840a49058272889d525dc1bb8b718b660c8a66 (patch)
tree3c491554e94bb066bf00020e8be254a77644d89a
parentf3c741ff0181819a98bd417efead76b14013917b (diff)
downloadorg.eclipse.epp.packages-7c840a49058272889d525dc1bb8b718b660c8a66.zip
org.eclipse.epp.packages-7c840a49058272889d525dc1bb8b718b660c8a66.tar.gz
org.eclipse.epp.packages-7c840a49058272889d525dc1bb8b718b660c8a66.tar.bz2
Modify plugin_customization.ini to provide a default for Java compliance
Java compliance needs to be 1.6 or greater for Android mobile projects. Older Android projects can build with Java 1.5 or 1.6, but newer (since API level 9) require Java 1.6. Signed-off-by: Markus Knauer <mknauer@eclipsesource.com>
-rw-r--r--packages/org.eclipse.epp.package.mobile/plugin_customization.ini5
1 files changed, 4 insertions, 1 deletions
diff --git a/packages/org.eclipse.epp.package.mobile/plugin_customization.ini b/packages/org.eclipse.epp.package.mobile/plugin_customization.ini
index f4c4278..9192674 100644
--- a/packages/org.eclipse.epp.package.mobile/plugin_customization.ini
+++ b/packages/org.eclipse.epp.package.mobile/plugin_customization.ini
@@ -34,4 +34,7 @@ org.eclipse.ui.intro.universal/INTRO_ROOT_PAGES = overview,tutorials,samples,wha
org.eclipse.ui.intro.universal/INTRO_DATA = product:introData.xml
# Order help books in table of contents
-org.eclipse.help/HELP_DATA = helpData.xml \ No newline at end of file
+org.eclipse.help/HELP_DATA = helpData.xml
+
+# Java compiler compliance level should be 1.6 or higher (Mobile package)
+org.eclipse.jdt.core/org.eclipse.jdt.core.compiler.compliance=1.6